%define build_dvi 1
%define major 1
%define libname %mklibname evince %major
%define develname %mklibname -d evince

Summary: GNOME Document viewer
Name:    evince
Version: 2.28.1
Release: %mkrel 1
License: GPLv2+ and GFDL+
Group:   Graphical desktop/GNOME
URL:     http://www.gnome.org
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch1: evince-2.25.91-fix-linking.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: ghostscript ghostscript-module-X
BuildRequires: libglade2.0-devel
BuildRequires: libGConf2-devel
BuildRequires: gnome-keyring-devel
BuildRequires: libxt-devel
BuildRequires: libpoppler-glib-devel >= 0.11.0
BuildRequires: libspectre-devel
BuildRequires: nautilus-devel
BuildRequires: libtiff-devel
BuildRequires: libxslt-proc
BuildRequires: gobject-introspection-devel gir-repository
#gw libtool dep (GConf2?)
BuildRequires: dbus-glib-devel
#BuildRequires: t1lib-devel
%if %build_dvi
BuildRequires: tetex-devel >= tetex-devel-3.0-22mdv
#gw just like xdvi, needed for rendering the fonts
Suggests: tetex
%endif
BuildRequires: djvulibre-devel >= 3.5.17
BuildRequires: libgcrypt-devel
BuildRequires: scrollkeeper
BuildRequires: ghostscript
BuildRequires: intltool
#gw if we run autoconf
BuildRequires: gnome-doc-utils
BuildRequires: gnome-common
BuildRequires: gtk-doc
Requires(post): scrollkeeper desktop-file-utils
Requires(postun): scrollkeeper desktop-file-utils

%description
Evince is the GNOME Document viewer. Its supports PDF, PostScript and other formats.

%package -n %libname
Group:System/Libraries
Summary: GNOME Document viewer library

%description -n %libname
This is the GNOME Document viewer library, the shared parts of evince.

%package -n %develname
Group:Development/C
Summary: GNOME Document viewer library
Requires: %libname = %version
Provides: libevince-devel = %version-%release

%description -n %develname
This is the GNOME Document viewer library, the shared parts of evince.

%prep
%setup -q
%patch1 -p1
./autogen.sh

%build
%configure2_5x --enable-tiff --enable-djvu --enable-pixbuf --enable-comics \
 --enable-impress \
%if %build_dvi
 --enable-dvi \
%endif
--enable-introspection
#--enable-t1lib 

%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std _ENABLE_SK=no

%find_lang Evince --with-gnome
%find_lang %name --with-gnome
cat %name.lang >> Evince.lang
for omf in %buildroot%_datadir/omf/*/{*-??,*-??_??}.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> Evince.lang
done

rm -f %buildroot%_libdir/nautilus/extensions-*/libevince*a \
      %buildroot%_libdir/evince/*/backends/lib*a %buildroot%_libdir/lib*.a

%post
%if %mdkversion < 200900
%update_scrollkeeper
%{update_menus}
%update_desktop_database
%endif
%define schemas %name %name-thumbnailer %name-thumbnailer-djvu %{?build_dvi:%name-thumbnailer-dvi} evince-thumbnailer-comics evince-thumbnailer-ps
%if %mdkversion < 200900
%post_install_gconf_schemas %schemas
%update_icon_cache hicolor
%endif

%preun
%preun_uninstall_gconf_schemas %schemas

%if %mdkversion < 200900
%postun
%clean_scrollkeeper
%{clean_menus}
%clean_desktop_database
%clean_icon_cache hicolor
%endif

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f Evince.lang
%defattr(-,root,root,-)
%doc NEWS AUTHORS TODO
# README
%_sysconfdir/gconf/schemas/%name.schemas
%_sysconfdir/gconf/schemas/%name-thumbnailer.schemas
%_sysconfdir/gconf/schemas/%name-thumbnailer-djvu.schemas
%_sysconfdir/gconf/schemas/%name-thumbnailer-comics.schemas
%if %build_dvi
%_sysconfdir/gconf/schemas/%name-thumbnailer-dvi.schemas
%endif
%_sysconfdir/gconf/schemas/%name-thumbnailer-ps.schemas
%{_bindir}/*
%{_datadir}/evince
%{_datadir}/applications/*
%_datadir/icons/hicolor/*/apps/evince*
%dir %_datadir/omf/%name
%_datadir/omf/%name/%name-C.omf
%_mandir/man1/evince.1*
%_libdir/nautilus/extensions-2.0/libevince*so*
%dir %_libdir/evince/1/
%dir %_libdir/evince/1/backends
%_libdir/evince/1/backends/lib*
%_libdir/evince/1/backends/comicsdocument.evince-backend
%_libdir/evince/1/backends/djvudocument.evince-backend
%_libdir/evince/1/backends/dvidocument.evince-backend
%_libdir/evince/1/backends/impressdocument.evince-backend
%_libdir/evince/1/backends/pdfdocument.evince-backend
%_libdir/evince/1/backends/pixbufdocument.evince-backend
%_libdir/evince/1/backends/psdocument.evince-backend
%_libdir/evince/1/backends/tiffdocument.evince-backend

%files -n %libname
%defattr(-,root,root,-)
%_libdir/libevdocument.so.%{major}*
%_libdir/libevview.so.%{major}*
%_libdir/girepository-1.0/EvinceDocument-2.25.typelib
%_libdir/girepository-1.0/EvinceView-2.25.typelib

%files -n %develname
%defattr(-,root,root,-)
%doc ChangeLog
%_datadir/gtk-doc/html/evince
%_datadir/gtk-doc/html/libevdocument
%_datadir/gtk-doc/html/libevview
%_libdir/libevdocument.so
%_libdir/libevview.so
%_libdir/*.la
%_libdir/pkgconfig/evince*pc
%_includedir/evince*
%_datadir/gir-1.0/EvinceDocument-2.25.gir
%_datadir/gir-1.0/EvinceView-2.25.gir



%changelog
* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458819
- Release 2.28.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446890
- update to new version 2.28.0

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 2.27.90-2mdv2010.0
+ Revision: 415268
- move typelib to the library package

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.90-1mdv2010.0
+ Revision: 414824
- enable introspection
- update to new version 2.27.90

* Mon Jul 13 2009 Götz Waschk <waschk@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 395645
- update to new version 2.27.4

* Tue Jun 16 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 386270
- new version

* Tue May 19 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 377481
- new version
- bump poppler dep
- fix build

* Tue May 19 2009 Götz Waschk <waschk@mandriva.org> 2.26.2-1mdv2010.0
+ Revision: 377446
- update to new version 2.26.2

* Thu Apr 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 367597
- update to new version 2.26.1

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356226
- update to new version 2.26.0

* Tue Mar 03 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347628
- update to new version 2.25.92

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 341832
- new version
- update the patch

* Tue Feb 03 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 336782
- update build deps
- new version
- update the patch
- new major
- update file list

* Sun Jan 18 2009 Götz Waschk <waschk@mandriva.org> 2.25.5-1mdv2009.1
+ Revision: 331043
- update to the new 2.25.5 tarball
- drop patch 0
- new version
- fix build
- update file list

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 2.25.4-1mdv2009.1
+ Revision: 325442
- fix build deps
- update to new version 2.25.4

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 309078
- update to new version 2.25.2

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.25.1-2mdv2009.1
+ Revision: 301480
- rebuilt against new libxcb

* Wed Nov 05 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 300143
- update to new version 2.25.1

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 295929
- update to new version 2.24.1

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 287289
- new version

* Wed Sep 10 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 283407
- new version

* Sun Sep 07 2008 Frederik Himpe <fhimpe@mandriva.org> 2.23.91-2mdv2009.0
+ Revision: 282359
- Rebuild for new djvulibre

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278649
- new version
- update build deps

* Wed Aug 06 2008 Götz Waschk <waschk@mandriva.org> 2.23.6-1mdv2009.0
+ Revision: 265076
- new version
- drop patch

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 2.23.5-2mdv2009.0
+ Revision: 240249
- fix mime types in desktop file
- remove obsolete configure option

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 2.23.5-1mdv2009.0
+ Revision: 240054
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 231093
- new version
- update license
- fix buildrequires

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 29 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 212896
- new version

* Wed Apr 30 2008 Götz Waschk <waschk@mandriva.org> 2.22.1.1-2mdv2009.0
+ Revision: 199718
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - better description

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1.1-1mdv2009.0
+ Revision: 192476
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183812
- new version

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 165760
- new version
- drop patches

* Fri Feb 08 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-3mdv2008.1
+ Revision: 164100
- fix pdf thumbnailer (bug #37527)

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-2mdv2008.1
+ Revision: 159830
- build with libspectre

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159682
- new version
- add library package

* Tue Jan 22 2008 Götz Waschk <waschk@mandriva.org> 2.21.1-5mdv2008.1
+ Revision: 156463
- fix nautilus extensions dir

* Fri Jan 18 2008 Götz Waschk <waschk@mandriva.org> 2.21.1-4mdv2008.1
+ Revision: 154640
- suggest tetex for rendering dvi files
- readd patch for linking static libkpathsea from tetex

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.21.1-3mdv2008.1
+ Revision: 148473
- rebuild
- do not package big ChangeLog

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 2.21.1-2mdv2008.1
+ Revision: 146810
- drop patch
- build with kpathsea from texlive

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Funda Wang <fundawang@mandriva.org>
    - desktop-file-install is not needed any more
    - drop old menu

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 115209
- new version
- rediff patch 1
- drop patch 2

* Tue Nov 27 2007 Götz Waschk <waschk@mandriva.org> 2.20.2-1mdv2008.1
+ Revision: 113313
- new version

* Wed Oct 24 2007 Pascal Terjan <pterjan@mandriva.org> 2.20.1-3mdv2008.1
+ Revision: 101853
- Fix encoding in the patch

* Wed Oct 24 2007 Pascal Terjan <pterjan@mandriva.org> 2.20.1-2mdv2008.1
+ Revision: 101851
- Allow opening links which does not contain :// (like mailto:)

* Tue Oct 16 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98883
- new version
- drop patch 2

* Fri Oct 05 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-2mdv2008.0
+ Revision: 95624
- Patch2 (SVN): various fixes from SVN, mostly for forms

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89328
- new version
- drop patch 0
- fix buildrequires

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 79072
- new version
- bump poppler dep
- patch to fix mime list in desktop file generation

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2008.0
+ Revision: 72445
- fix buildrequires
- new version

* Thu Aug 09 2007 Frederic Crozat <fcrozat@mandriva.com> 0.9.3-2mdv2008.0
+ Revision: 60748
- Fix build with latest intltool
- Remove dependency on libgnomeprint, use gtk+ print support instead

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 0.9.3-1mdv2008.0
+ Revision: 56704
- fix buildrequires
- new version

* Tue Jul 10 2007 Götz Waschk <waschk@mandriva.org> 0.9.2-1mdv2008.0
+ Revision: 50883
- new version
- fix buildrequires

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 0.9.1-1mdv2008.0
+ Revision: 41427
- new version
- bump deps

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 0.9.0-2mdv2008.0
+ Revision: 36151
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 0.8.1-1mdv2008.0
+ Revision: 14559
- fix file list
- fix schemas list
- new version


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 0.8.0-1mdv2007.1
+ Revision: 142131
- new version
- fix buildrequires
- new version
- fix file list

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 0.7.1-3mdv2007.1
+ Revision: 111957
- reenable dvi on x86_64

* Thu Jan 11 2007 Götz Waschk <waschk@mandriva.org> 0.7.1-2mdv2007.1
+ Revision: 107362
- enable comics, pixbuf and impress backends

* Wed Jan 10 2007 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2007.1
+ Revision: 107182
- new version
- rediff the patch

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 0.7.0-1mdv2007.1
+ Revision: 98769
- new version
- drop patch 0

* Thu Dec 14 2006 Götz Waschk <waschk@mandriva.org> 0.6.1-4mdv2007.1
+ Revision: 96742
- security update for CVE-2006-5864 (bug #27666)

* Sun Oct 15 2006 Götz Waschk <waschk@mandriva.org> 0.6.1-3mdv2007.1
+ Revision: 65123
- only apply patch if dvi is enabled
- rebuild
- readd bunzipped patch
- bad patch
- Import evince

* Thu Oct 12 2006 Gtz Waschk <waschk@mandriva.org> 0.6.1-1mdv2007.1
- disable dvi support on x86_64
- bunzip2 patches
- bump deps
- New version 0.6.1

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2007.0
- New version 0.6.0

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 0.5.5-1mdv2007.0
- New release 0.5.5

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.4-3mdv2007.0
- Rebuild with latest dbus

* Tue Aug 01 2006 Gtz Waschk <waschk@mandriva.org> 0.5.4-2mdv2007.0
- add missing dep (bug #24018)

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 0.5.4-1mdv2007.0
- new macros
- xdg menu
- New release 0.5.4

* Mon May 29 2006 Gtz Waschk <waschk@mandriva.org> 0.5.3-3mdv2007.0
- fix buildrequires

* Wed May 24 2006 Gtz Waschk <waschk@mandriva.org> 0.5.3-2mdk
- reenable djvu

* Wed May 24 2006 Gtz Waschk <waschk@mandriva.org> 0.5.3-1mdk
- update file list
- disable djvu for now
- bump deps
- rediff patch 1
- new version

* Wed May 24 2006 Götz Waschk <waschk@mandriva.org> 0.5.2-2mdk
- rebuild to remove bad qt dep

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 0.5.2-1mdk
- New release 0.5.2

* Tue Mar 07 2006 Götz Waschk <waschk@mandriva.org> 0.5.1-3mdk
- rebuild for new poppler

* Wed Mar 01 2006 Gtz Waschk <waschk@mandriva.org> 0.5.1-2mdk
- add missing mime type to the menu entry

* Tue Feb 28 2006 Gtz Waschk <waschk@mandriva.org> 0.5.1-1mdk
- update file list
- rediff the patch
- enable djvu
- New release 0.5.1

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.5.0-2mdk
- rebuild for new dbus

* Mon Jan 23 2006 Gtz Waschk <waschk@mandriva.org> 0.5.0-1mdk
- update patch 1
- bump deps
- drop patch 0
- New release 0.5.0
- use mkrel

* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-7mdk
- rebuilt against openssl-0.9.8a

* Mon Nov 07 2005 Gtz Waschk <waschk@mandriva.org> 0.4.0-6mdk
- fix linkage

* Fri Oct 14 2005 Gtz Waschk <waschk@mandriva.org> 0.4.0-5mdk
- fix install

* Sat Sep 03 2005 Götz Waschk <waschk@mandriva.org> 0.4.0-4mdk
- rebuild to remove glitz dep

* Mon Aug 29 2005 Gtz Waschk <waschk@mandriva.org> 0.4.0-3mdk
- reenable fortify

* Sun Aug 28 2005 Gtz Waschk <waschk@mandriva.org> 0.4.0-2mdk
- disable fortify to make it build

* Sat Aug 27 2005 Gtz Waschk <waschk@mandriva.org> 0.4.0-1mdk
- disable el in help Makefile to make it build
- bump deps
- New release 0.4.0

* Thu Aug 18 2005 Götz Waschk <waschk@mandriva.org> 0.3.4-1mdk
- New release 0.3.4

* Wed Aug 17 2005 Gtz Waschk <waschk@mandriva.org> 0.3.3-3mdk
- fix buildrequires again

* Wed Aug 17 2005 Gtz Waschk <waschk@mandriva.org> 0.3.3-2mdk
- fix buildrequires

* Wed Aug 17 2005 Gtz Waschk <waschk@mandriva.org> 0.3.3-1mdk
- enable dvi
- add nautilus extension
- bump deps
- New release 0.3.3

* Sat Aug 13 2005 Gtz Waschk <waschk@mandriva.org> 0.3.2-3mdk
- fix Requires(post*

* Fri Aug 12 2005 Gtz Waschk <waschk@mandriva.org> 0.3.2-2mdk
- replace prereq
- rebuild for new cairo

* Sat Jun 25 2005 Gtz Waschk <waschk@mandriva.org> 0.3.2-1mdk
- update mime types in the menu entry
- enable tiff
- bump deps
- New release 0.3.2

* Tue May 24 2005 Gtz Waschk <waschk@mandriva.org> 0.3.1-1mdk
- New release 0.3.1

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 0.3.0-2mdk
- fix buildrequires

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 0.3.0-1mdk
- fix build on x86_64
- New release 0.3.0

* Sun Apr 24 2005 Gtz Waschk <waschk@mandriva.org> 0.2.1-1mdk
- add help handling
- requires new poppler
- New release 0.2.1

* Thu Apr 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- requires new poppler
- New release 0.2.0

* Tue Mar 15 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.9-1mdk
- New release 0.1.9
- update file list
- depends on poppler

* Sun Feb 27 2005 Götz Waschk <waschk@linux-mandrake.com> 0.1.5-1mdk
- New release 0.1.5

* Thu Feb 10 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.4-1mdk
- add schemas handling
- update file list
- New release 0.1.4

* Fri Feb 04 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.3-1mdk
- update file list
- New release 0.1.3

* Tue Feb 01 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.2-1mdk
- drop the patch
- New release 0.1.2

* Mon Jan 24 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-2mdk
- add patch for GNOME bug #163506

* Mon Jan 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.1-1mdk
- New release 0.1.1

* Mon Jan 10 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.0-1mdk
- initial package

